/*
 * Represents data associated with a particular node in our VocabTrie structure.
 *
 * Author(s): Keith Vertanen
 */

import java.util.Date;

public class VocabData
{
    private int usedCount = 0;           // Count of times user has actually used this word
    private long lastUsedTimestamp = 0;  // Timestamp of last use of this word
        
    public VocabData(int usedCount, long lastUsedTimestamp)
    {
        this.usedCount = usedCount;
        this.lastUsedTimestamp = lastUsedTimestamp;
    }
    
    public int getUsedCount()
    {
        return usedCount;
    }
    
    public long getLastUsedTimestamp()
    {
        return lastUsedTimestamp;
    }
    
    // Called whenever somebody uses our word in the predictive keyboard
    public void used()
    {
        usedCount++;
        lastUsedTimestamp = (new Date()).getTime();
    }
    
}
